Support

Search results for ""

Sorry, no results found. Perhaps you would like to search the documentation?
All Topics
Gilles

Keep getting 5.7.1 update request

Hello,

I keep getting the 5.7.1 update request. After updating the plugin version is still 5.7. I am guessing there is an issue with the latest release. Please advise.

Thank you.

6 months, 2 weeks ago
Stefan
Developer

More information can be found here:

Update Failed: The plugin is at the latest version.

In short, the error is fixed in 5.7.1, but in order to update to that version, you can best install the latest version manually. You can download the latest version from your account and replace the old version. No settings will be lost during that process.

6 months, 2 weeks ago
Gilles

Could you explain the root-cause of the issue?

6 months, 1 week ago
Gilles

Wouldn’t releasing a new 5.7.2 version fix the issue?

6 months, 1 week ago
Stefan
Developer

Sure.

We had some issues in the past where there were errors during the update process.
As a fix, we thought that disabling our plugin during the update would fix these issues.
While this was indeed the case, it seems that WordPress flushes the plugin update information.
Since the plugin update information needs to be fetched from our website instead of the WordPress plugin repository, our plugin must be enabled in order to fetch the new information during the update.

So when you update a plugin on the plugin page, that information is lost, so trying to update one of our plugins next does not work, since WordPress now thinks there is no update.

This issue is fixed in 5.7.1 so if you update to 5.7.1, this issue should not happen again when you update to a later version.

6 months, 1 week ago
Gilles

I really appreciate your taking the time to explain this. I hope you don’t run into plugin installation issues going forward.

6 months, 1 week ago
ddmcleod

I just updated to 5.7.2, and the problem is still there. When I go to my plugins page, it says I have 5.7 installed, and tells me to update to 5.7.2.

5 months, 3 weeks ago

You must be logged in to reply to this topic.